Subject: Fw: Downl0ad finding neverland movie

From: "Salvatore Bright" <[email-masked]>
Date: Sun, 09 Jan 2005 19:20:50 -0800

I noticed this email in my inbox, is this what you meant?    http://www.2005-downloads.com/trave1.html
You can dl music & games & movies.  I saw 2 CD's I dont have yet so I grabbed those.
Wait untill you see the selection of music and dvd's - it's pretty awsome.
Theres a section on every page that shows you how to burn the movies & music and games
I was thumbing through the movie section - theres stuff in here thats still in theaters - it's crazy.
I'll see you next Friday at the get together.

Ricardo